<?xml version="1.0" encoding="utf-8" ?>
<objects xmlns='http://www.springframework.net'
         xmlns:db="http://www.springframework.net/database"
         xmlns:tx="http://www.springframework.net/tx"
         xmlns:aop="http://www.springframework.net/aop">

	<object id="CacheAspect" type="Spring.Aspects.Cache.CacheAspect, Spring.Aop"/>

	<object id="ListarTodasClassesCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
        <property name="TimeToLive" value="00:05:00"/>
	</object>

    <object type="Spring.Aop.Framework.AutoProxy.ObjectNameAutoProxyCreator, Spring.Aop">
		<property name="ObjectNames">
			<list>
				<value>ProdutoService*</value>
			</list>
		</property>
		<property name="InterceptorNames">
			<list>
				<value>CacheAspect</value>
			</list>
		</property>
	</object>
</objects>